petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetNumFields

Set the number of fields in the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetNumFields(DM dm, PetscInt numFields)

Logically collective on dm

### Input Parameters

| dm | - The DM
| Nf | - The number of fields

### See Also

DMGetNumFields(), DMSetField()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages